%perl_module Tk-TableMatrix 1.2 17

Summary:       Perl module for creating and manipulating tables.
Group:         Development/Libraries
Vendor:        John Cerney <j-cerney1@raytheon.com>
License:       Artistic
Url:           http://search.cpan.org/author/CERNEY/%{pkgname}-%{version}/
Source:        http://search.cpan.org/CPAN/authors/id/C/CE/CERNEY/%{pkgname}-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl(Tk), libX11-devel, pwlib-devel
Requires:      perl(Tk)

%description
The TableMatrix command creates a 2-dimensional grid of cells. The
table can use a Tcl array variable or Tcl command for data storage and
retrieval.

%prep
%setup -q -n %{pkgname}-%{version} 

%build
%perl_configure X11LIB=/usr/X11R6/%{_lib}
find . -name Makefile | xargs perl -pi -e's/pod2man --center (.*) "--"/pod2man -- --center $1/'
make
#perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README Changes
%{perl_vendorarch}/Tk/TableMatrix.pm
%{perl_vendorarch}/Tk/TableMatrix
%{perl_vendorarch}/auto/Tk/TableMatrix
%{perl_vendorarch}/Tk/TableMatrix.pod
%{perl_vendorarch}/Tk/pTk
%{perl_vendorarch}/auto/Tk/pTk
%{perl_man3dir}/Tk::TableMatrix*.3pm*

%changelog
* Mon Jan  9 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.

* Wed Apr  7 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Update to 1.1.

* Mon Apr  7 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Adapted to new macros.

* Fri Jan 3 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build (cpan2rpm).
